SAP NetWeaver : Authentication Bypass (CVE-2020-6287) (Direct Check)

critical Nessus Plugin ID 138762

Synopsis

SAP NetWeaver Authentication Bypass.

Description

An authentication bypass vulnerability exists in SAP NetWeaver AS JAVA (LM Configuration Wizard) due to insufficient authentication checks. An unauthenticated, remote attacker can exploit this by executing configuration tasks that perform critical actions against the SAP Java system, including the ability to create an administrative user, and therefore compromising Confidentiality, Integrity and Availability of the system.

Solution

Upgrade to a version recommended in the vendor advisory.

See Also

https://github.com/chipik/SAP_RECON

Plugin Details

Severity: Critical

ID: 138762

File Name: sap_nw_cve-2020-6287.nbin

Version: 1.27

Type: remote

Family: Web Servers

Published: 7/20/2020

Updated: 4/25/2022

Risk Information

CVSS Score Source: CVE-2020-6287

VPR

Risk Factor: Critical

Score: 9.2

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 8.7

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: E:H/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 10

Temporal Score: 9.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:sap:netweaver_application_server

Required KB Items: installed_sw/SAP Netweaver Application Server (AS)

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 7/14/2020

Vulnerability Publication Date: 7/14/2020

CISA Known Exploited Dates: 5/3/2022

Reference Information

CVE: CVE-2020-6287